<div class="container">
  <div class="row justify-content-center">
    <div class="col-auto">
      <form (ngSubmit)="onSubmit()" ngNativeValidate>
      <div class="form-group">
        <label for="email">Email</label>
        <input
          [(ngModel)]="user.email"
          name="email"
          type="email"
          required
          class="form-control"
          id="email"
          placeholder="enter your email">
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          [(ngModel)]="user.password"
          name="password"
          type="password"
          required
          class="form-control"
          id="password"
          placeholder="enter a password">
      </div>
      <button type="submit" class="btn btn-primary">Submit</button>
      <a [routerLink]="['/']" class="btn btn-success">Cancel</a>
    </form>
    </div>
  </div>
</div>